<template>
    <div>
        <span>{{name}}</span>
        <div>
            <span>Health: {{health}}</span>
            <span>Damage: {{damage}}</span>
        </div>
    </div>
</template>

<script lang="ts">
import Vue from 'vue';
import { Prop, Component } from 'vue-property-decorator';

@Component
export default class BasicStatus extends Vue {
    @Prop() readonly name !: string;
    @Prop() readonly health !: number;
    @Prop() readonly damage !: number;
}
</script>